# Envelope Forms

With **Envelope forms**, you can create and send envelopes with pre-filled data. You can create these forms from templates with pre-defined **fields** and **roles**.

When a user opens an **envelope form link**, he’ll see a dedicated page where they can fill in the required fields.

Envelope forms allows you to create and send envelopes with predefined field values. Forms can be created from templates with fields and assigned roles. When a user opens an envelope form link, they will see a page where they can fill in the required fields.

{% hint style="info" %}
Form creation can be only done via [API](https://docs.docstudio.com/en/latest/pages/api/openApi.html#tag/form-controller).
{% endhint %}

1. It is possible to configure forms to have [metadata that will be added to all envelopes created from such forms](https://support.docstudio.com/~/revisions/QBQTVnRk8hE1eCXFCahV/api-documentation/envelope/envelope-metadata).\
   **Metadata can be used**:
   * To store additional information about the envelope that is not part of the document itself.
   * For filtering and searching envelopes in the mailbox.
2. It is also posible to add callbacks to the forms which will send the envelope ID, metadata and other information to a specified URL when an envelope is created from the form. This can be useful for integrating with other systems and automating workflows. Such callbacks will be removed automatically after the form deletion of after a single-use form was used.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://support.docstudio.com/docstudio-docs/docstudio-for-developers/api-documentation/envelope/envelope-forms.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
